### A free/open-source library for quantitative finance

Classes | Functions
ql/instruments/averagetype.hpp File Reference

Averaging algorithm enumeration. More...

`#include <ql/qldefines.hpp>`
`#include <ostream>`
Include dependency graph for averagetype.hpp:

## Classes

struct | Average
| Placeholder for enumerated averaging types. More...

## Functions

std::ostream & | operator<< (std::ostream &out, Average::Type type)

## Detailed Description

Averaging algorithm enumeration.